# 更新日志

本文档记录了AIOEway项目的所有重要变更。

格式基于 [Keep a Changelog](https://keepachangelog.com/zh-CN/1.0.0/)，
并且本项目遵循 [语义化版本](https://semver.org/lang/zh-CN/)。

## [未发布]

### 计划添加
- 设备状态缓存机制
- 批量设备管理
- 更多的错误处理策略
- WebSocket支持

## [1.0.0] - 2025-06-23

### 新增
- 初始版本发布
- 异步MQTT设备通信核心功能
- 支持TLS/SSL加密连接
- 设备信息和运行数据的结构化处理
- 双向通信支持（订阅和请求模式）
- 完整的日志记录系统
- 同步和异步API支持
- 设备监控功能
- 错误处理和重连机制
- 完整的类型注解
- 单元测试覆盖
- 详细的文档和示例

### 支持的功能
- **连接管理**: 自动重连、心跳检测
- **数据订阅**: 实时设备信息和运行数据订阅
- **同步请求**: 支持超时的同步数据请求
- **安全连接**: TLS/SSL加密支持
- **结构化数据**: 内置DeviceInfo和DeviceData数据类
- **异步编程**: 基于asyncio的高性能异步处理
- **灵活配置**: 支持多种MQTT代理配置

### 技术特性
- Python 3.7+ 支持
- 基于aiomqtt库的异步MQTT客户端
- 完整的类型提示
- 遵循PEP 8代码规范
- 支持现代Python打包标准（pyproject.toml）

### 文档
- 完整的README文档
- API参考文档
- 使用示例和最佳实践
- 安装和配置指南

---

## 版本说明

- **主版本号**：当你做了不兼容的API修改
- **次版本号**：当你做了向下兼容的功能性新增
- **修订号**：当你做了向下兼容的问题修正

## 贡献指南

如果你想为本项目贡献代码，请：

1. Fork本仓库
2. 创建你的特性分支 (`git checkout -b feature/AmazingFeature`)
3. 提交你的修改 (`git commit -m 'Add some AmazingFeature'`)
4. 推送到分支 (`git push origin feature/AmazingFeature`)
5. 打开一个Pull Request

## 问题反馈

如果你发现了bug或有功能建议，请在GitHub Issues中提交。